#!/bin/bash
set -ex

RELEASE=$1

rm -rf out ||true
mkdir -p out



#copy over features file to compile apparmor cache and sources.list pointing to RTM archives
cp features out/
if [ $RELEASE == "RTM" ];then
	cp sources.list out/
	#get the closest thing i have to an RTM pbuilder
	wget -nc http://people.canonical.com/~cwayne/rtm-armhf.tgz
fi

#pull the core apps from jenkins/the store
./click-sync.py --credentials-file ./auth s-jenkins.ubuntu-ci .


for i in `cat click_list`;do
	echo "copything $i to out/clicks"
	cp $i out/
done

#run the build.sh script from within a clean utopic/rtm armhf chroot
if [ $RELEASE == "RTM" ]; then
	PBUILDER_PATH=./rtm-armhf.tgz
elif [ $RELEASE == "utopic" ];then
	PBUILDER_PATH=/var/cache/pbuilder/utopic-armhf.tgz
fi
sudo pbuilder --execute --basetgz $PBUILDER_PATH  --bindmounts out -- build.sh

bzr branch lp:~savilerow-team/savilerow/core-apps-$RELEASE out/core-apps-$RELEASE

cd out/core-apps-$RELEASE/src/system

#unpack the bits from the pbuilder step above (this should be cleaned up a bit)
tar zxvf ../../../custom.tgz
cd ../..


#build the custom tarball
mkdir build
# save the build ID as epoch seconds inside the tarball to facilitate updates
HMS=`echo $BUILD_ID | awk -F_ '{ print $2 }' | sed 's/-/:/g'`
DATE=`echo $BUILD_ID | awk -F_ ' { print $1 }'`
date -d "$DATE $HMS" +%s > build_id
cp build_id src/system/custom/
tar Jcvf build/custom.tar.xz --owner=root --group=root -C src/ system/
mv build_id build
cp src/ubuntu_command build
